You are not logged in.

#1 2013-02-06 21:45:19

beachcoder
Member
Registered: 2009-10-08
Posts: 97

error: failed to commit transaction (invalid or corrupted package)

Hello out there!

I'm having a ruddy problem with pacman on my Asus eeePC Arch Linux box.
It happens very often during an update or package installation that I get an error message like this

(10/10) checking package integrity                 [######################] 100%
error: gtk2: signature from "Jan Alexander Steffens (heftig) <jan<DOT>steffens<AT>gmail<DOT>com>" is invalid
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

I've already tried to re-initialize the keys

pacman-key --init
pacman-key --populate archlinux

several times and all the stuff described in the Wiki but it didn't help. The only thing that helped is what was discussed on this thread from 2011 following this post:

testdude281 wrote:

I solved it. The key wasnt the problem, the package was corrupt. I deleted the package and upgrade went smoothly.

So this is what I did today (and several times before) to avoid this error:

$ pacman -Sy geany codeblocks
:: Synchronizing package databases...
 core                     105.2 KiB   166K/s 00:01 [######################] 100%
 extra                   1416.5 KiB   583K/s 00:02 [######################] 100%
 community               1918.0 KiB   591K/s 00:03 [######################] 100%
resolving dependencies...
looking for inter-conflicts...

Targets (10): atk-2.6.0-1  boost-libs-1.52.0-1  gamin-0.1.10-6
              gtk-update-icon-cache-2.24.14-1  gtk2-2.24.14-1  hunspell-1.3.2-2
              sdl-1.2.15-3  wxgtk-2.8.12.1-4  codeblocks-12.11-2  geany-1.22-3

Total Download Size:    11.45 MiB
Total Installed Size:   135.14 MiB

Proceed with installation? [Y/n] 
:: Retrieving packages from community...
 geany-1.22-3-i686          2.2 MiB   727K/s 00:03 [######################] 100%
 codeblocks-12.11-2-i686    9.3 MiB  1895K/s 00:05 [######################] 100%
(10/10) checking package integrity                 [######################] 100%
error: gtk2: signature from "Jan Alexander Steffens (heftig) <jan<DOT>steffens<AT>gmail<DOT>com>" is invalid
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.
$ rm /var/cache/pacman/pkg/gtk2-2.24.14-1-i686.pkg.tar.xz 
$ pacman -Sy geany codeblocks
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
resolving dependencies...
looking for inter-conflicts...

Targets (10): atk-2.6.0-1  boost-libs-1.52.0-1  gamin-0.1.10-6
              gtk-update-icon-cache-2.24.14-1  gtk2-2.24.14-1  hunspell-1.3.2-2
              sdl-1.2.15-3  wxgtk-2.8.12.1-4  codeblocks-12.11-2  geany-1.22-3

Total Download Size:    6.53 MiB
Total Installed Size:   135.14 MiB

Proceed with installation? [Y/n] 
:: Retrieving packages from extra...
 gtk2-2.24.14-1-i686        6.5 MiB  1256K/s 00:05 [######################] 100%
(10/10) checking package integrity                 [######################] 100%
(10/10) loading package files                      [######################] 100%
(10/10) checking for file conflicts                [######################] 100%
(10/10) checking available disk space              [######################] 100%
( 1/10) installing atk                             [######################] 100%
( 2/10) installing gtk-update-icon-cache           [######################] 100%
( 3/10) installing gtk2                            [######################] 100%
( 4/10) installing geany                           [######################] 100%
Optional dependencies for geany
    vte: for terminal support
    python2
( 5/10) installing boost-libs                      [######################] 100%
Optional dependencies for boost-libs
    openmpi: for mpi support
( 6/10) installing gamin                           [######################] 100%
Optional dependencies for gamin
    python2: for the python module.
( 7/10) installing hunspell                        [######################] 100%
Optional dependencies for hunspell
    perl: for ispellaff2myspell
( 8/10) installing sdl                             [######################] 100%
Optional dependencies for sdl
    alsa-lib: ALSA audio driver
    libpulse: PulseAudio audio driver
( 9/10) installing wxgtk                           [######################] 100%
(10/10) installing codeblocks                      [######################] 100%

It works when I delete the file from the cache.
But is this *really* the solution?
Do I need to remove all the files that pacman grumps on, each time I want to do a simple update or package installation?
On my other Arch Linux box, I don't have any of such problems.

Thanks for all help in advance!

Last edited by beachcoder (2013-02-06 21:50:16)

Offline

#2 2013-02-06 21:54:50

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 5,272

Re: error: failed to commit transaction (invalid or corrupted package)

Yes, that is the solution. The package isn't passing the validity checks, probably due to corruption during the transfer from the mirror to your local machine, and is rightly rejected by pacman.

The alternative is installing the corrupted package and (probably) getting segfaults in a number of gtk2 apps.


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Offline

#3 2013-02-06 22:11:46

beachcoder
Member
Registered: 2009-10-08
Posts: 97

Re: error: failed to commit transaction (invalid or corrupted package)

WorMzy wrote:

Yes, that is the solution. The package isn't passing the validity checks, probably due to corruption during the transfer from the mirror to your local machine, and is rightly rejected by pacman.

Well I'm sure the package is not broken. It passed the validity checks during a previous install. As you can see from the console output I postet, the package was not downloaded recently with my package installation request - it already remained on the harddisk.

Or is my harddrive (its a SSD disk I formatted as ext2 filesystem) maybe corrupt?

Offline

#4 2013-02-06 22:25:14

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 5,272

Re: error: failed to commit transaction (invalid or corrupted package)

beachcoder wrote:

Or is my harddrive (its a SSD disk I formatted as ext2 filesystem) maybe corrupt?

Run a fsck if you think that's where the problem lies.


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Offline

Board footer

Powered by FluxBB